"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CacheFactory = void 0;
const logger_1 = require("../../../../logger");
const local_1 = require("./local");
class CacheFactory {
    static get(repository, cacheType = 'local') {
        switch (cacheType) {
            case 'local':
                return new local_1.RepoCacheLocal(repository);
            default:
                logger_1.logger.warn({ cacheType }, `Repository cache type not supported using type "local" instead`);
                return new local_1.RepoCacheLocal(repository);
        }
    }
}
exports.CacheFactory = CacheFactory;
//# sourceMappingURL=cache-factory.js.map